Developers

API Documentation

Build custom integrations and extend the Slot Store platform.

Overview

Resources

Introduction

The Slot Store API is organized around REST. Our API has predictable resource-oriented URLs, accepts form-encoded request bodies, returns JSON-encoded responses, and uses standard HTTP response codes, authentication, and verbs.

Authentication

Authenticate your account when using the API by including your secret API key in the request. You can manage your API keys in the Developer Settings of your dashboard.

curl https://api.slotstore.com/v1/products \
  -H "Authorization: Bearer sk_live_your_secret_key"

Sample Response (JSON)

Successful responses will always be in JSON format. Here is an example response for fetching a product list:

{
  "object": "list",
  "url": "/v1/products",
  "has_more": false,
  "data": [
    {
      "id": "prod_12345",
      "object": "product",
      "name": "Organic Bananas",
      "price": 2.99,
      "currency": "usd",
      "active": true
    }
  ]
}
Starter

Tell us about yourself

Provide your details to initiate your premium grocery store

Starter

Tell us about your brand

We will optimize your dashboard tailored to your company goals

Starter

Configure store settings

Secure your brand dashboard and select your pricing plan

Check your inbox

We've sent a verification link to your email. Please click the link to verify your email and continue setting up your store.

Didn't receive the email?

SaaS Simulation Tool

Click below to simulate clicking the verification link in your email.

Account Verified!

Your email has been verified successfully. Welcome to Slot Store! Let's get started setting up your customized grocery store.

9:41
88%
Curating storefront...